[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# DateOf

Extract the date part from a DateTime indication.

## Declaration

Source position: dateutil.inc line 76

`function DateOf(`
`const AValue: TDateTime`
`):TDateTime;`

## Arguments

`AValue` |  | Datetime to extract date from

## Function result

Date part of AValue.

## Description

DateOf extracts the date part from AValue and returns the result.

Since the TDateTime is actually a double with the date part encoded in the integer part, this operation corresponds to a call to Trunc.

## See also

TimeOf |  | Extract the time part from a DateTime indication.
YearOf |  | Extract the year from a given date.
MonthOf |  | Extract the month from a given date.
DayOf |  | Extract the day (of month) part from a DateTime value
HourOf |  | Extract the hour part from a DateTime value.
MinuteOf |  | Extract the minute part from a DateTime value.
SecondOf |  | Extract the second part from a DateTime value.
MilliSecondOf |  | Extract the millisecond part from a DateTime value.

## Example

    Program Example1;

    { This program demonstrates the DateOf function }

    Uses SysUtils,DateUtils;

    Begin
      Writeln('Date is: ',DateTimeToStr(DateOf(Now)));
    End.

Documentation generated on: Feb 26 2014